Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class PhoneResourceSubscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.PhoneResourceSubscription

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class PhoneResourceSubscription
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PhoneResourceSubscription()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `long` | `getPhone()` |
  `int` | `getPhoneResourseId()` |
  `int` | `getSubscriberId()` |
  `java.lang.String` | `getSubscriberTitle()` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setPhone​(long phone)` |
  `void` | `setPhoneResourseId​(int phoneResourseId)` |
  `void` | `setSubscriberId​(int subscriberId)` |
  `void` | `setSubscriberTitle​(java.lang.String subscriberTitle)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PhoneResourceSubscription

    public PhoneResourceSubscription()

- ## Method Details

  - ### getPhoneResourseId

    public int getPhoneResourseId()

  - ### setPhoneResourseId

    public void setPhoneResourseId​(int phoneResourseId)

  - ### getPhone

    public long getPhone()

  - ### setPhone

    public void setPhone​(long phone)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getSubscriberId

    public int getSubscriberId()

  - ### setSubscriberId

    public void setSubscriberId​(int subscriberId)

  - ### getSubscriberTitle

    public java.lang.String getSubscriberTitle()

  - ### setSubscriberTitle

    public void setSubscriberTitle​(java.lang.String subscriberTitle)